diagrams-lib-0.7.1.1: Embedded domain-specific language for declarative graphics

Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | None

Diagrams.Backend.Show

Description

A simple Show-based diagrams backend, for testing purposes.

Synopsis

- data ShowBackend = ShowBackend
- renderTransf :: forall v. (Num (Scalar v), HasLinearMap v, Show (Scalar v)) => Transformation v -> Doc
- renderMat :: Show a => [[a]] -> Doc

# Documentation

data ShowBackend Source

Token for identifying this backend.

Constructors

ShowBackend |

Instances

HasLinearMap v => Backend ShowBackend v |
(Show v, OrderedField (Scalar v), InnerSpace v, HasLinearMap v) => Renderable (Trail v) ShowBackend |
(Show v, OrderedField (Scalar v), InnerSpace v, HasLinearMap v) => Renderable (Path v) ShowBackend |
Monoid (Render ShowBackend v) |
(Show v, HasLinearMap v) => Renderable (Segment o v) ShowBackend |

renderTransf :: forall v. (Num (Scalar v), HasLinearMap v, Show (Scalar v)) => Transformation v -> Doc Source

renderMat :: Show a => [[a]] -> Doc Source